Skip to main content
Get alert event by ID
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/3/v3/alert-event/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "multiplePermutation": {
    "alertEventMultiplePermutation": [
      {
        "activityAnalysis": {
          "rules": [
            "<string>"
          ],
          "status": "ACTIVITY_ANALYSIS_STATUS_ACTIVATE_OR_UNSPECIFIED"
        },
        "alertId": "<string>",
        "groupLabels": {},
        "incidentCorrelationKey": "<string>",
        "payload": {},
        "payloadType": "<string>",
        "permutationId": "<string>",
        "permutationLabels": {},
        "preGroupingEventId": "<string>",
        "status": "ALERT_STATUS_RESOLVED_OR_UNSPECIFIED",
        "timestamp": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "pagination": {
    "nextPageToken": "<string>",
    "totalSize": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Query Parameters

order_bys
object[]
pagination
object

Response

id
string
multiplePermutation
object
pagination
object